%define tag    6082d0a73cfedc6b38adbbf4b6cc98929f052a29
Summary:       Visual tool for Git
Name:          teamgit
Version:       0.3.0
Release:       1%{?dist}
License:       GPLv2
Group:         Development/Tools
URL:           http://www.devslashzero.com/teamgit
Source0:       http://github.com/tarballs/bainonline-teamgit-%{tag}.tar.gz
BuildRequires: qt4-devel desktop-file-utils
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%description
This package provides a visual tool for Git, a distributed revision
control system.

%prep
%setup -q -n bainonline-teamgit-%{tag}

%build
qmake-qt4
%{__make} 
#%{?_smp_mflags} dont' work

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL_ROOT=%{buildroot} install
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop 

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-, root, root, -)
%doc COPYING 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Wed Oct  7 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.3.0-1
- initial build

